weka.gui.knowledgeflow

## Class KFGUIConsts

- java.lang.Object
- - weka.gui.knowledgeflow.KFGUIConsts

-     public class KFGUIConsts
      extends java.lang.Object

  Class that holds constants that are used within the GUI side of the Knowledge Flow. Housing them here allows classes outside of the GUI part of the Knowledge Flow to access them without unecessary loading of GUI-related classes.
  Version:
    $Revision: $
  Author:
    Mark Hall (mhall{[at]}pentaho{[dot]}com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `BASE_ICON_PATH` Base path for step icons
    `static java.lang.String` | `FLOW_DIRECTORY_KEY` Flow file directory key
    `static java.lang.String` | `KF_BUILTIN_TEMPLATE_KEY` Group identifier for built-in knowledge flow templates
    `static java.lang.String` | `KF_PLUGIN_TEMPLATE_KEY` Group identifier for plugin knowledge flow templates - packages supplying templates should use this
    `static int` | `OPEN_DIALOG` Constant for an open dialog (same as JFileChooser.OPEN_DIALOG)
    `static int` | `SAVE_DIALOG` Constant for a save dialog (same as JFileChooser.SAVE_DIALOG)

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KFGUIConsts()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BASE_ICON_PATH

          public static final java.lang.String BASE_ICON_PATH

      Base path for step icons
      See Also:
        Constant Field Values

    - #### FLOW_DIRECTORY_KEY

          public static final java.lang.String FLOW_DIRECTORY_KEY

      Flow file directory key
      See Also:
        Constant Field Values

    - #### KF_BUILTIN_TEMPLATE_KEY

          public static final java.lang.String KF_BUILTIN_TEMPLATE_KEY

      Group identifier for built-in knowledge flow templates
      See Also:
        Constant Field Values

    - #### KF_PLUGIN_TEMPLATE_KEY

          public static final java.lang.String KF_PLUGIN_TEMPLATE_KEY

      Group identifier for plugin knowledge flow templates - packages supplying templates should use this
      See Also:
        Constant Field Values

    - #### OPEN_DIALOG

          public static final int OPEN_DIALOG

      Constant for an open dialog (same as JFileChooser.OPEN_DIALOG)
      See Also:
        Constant Field Values

    - #### SAVE_DIALOG

          public static final int SAVE_DIALOG

      Constant for a save dialog (same as JFileChooser.SAVE_DIALOG)
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### KFGUIConsts

          public KFGUIConsts()